Loading...
Searching...
No Matches
View the contents of a file in the repository.
Client working copy management

## Functions

svn_error_t * | svn_client_cat3 (apr_hash_t **props, svn_stream_t *out, const char *path_or_url, const svn_opt_revision_t *peg_revision, const svn_opt_revision_t *revision, svn_boolean_t expand_keywords, svn_client_ctx_t *ctx, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Output the content of a file.
svn_error_t * | svn_client_cat2 (svn_stream_t *out, const char *path_or_url, const svn_opt_revision_t *peg_revision, const svn_opt_revision_t *revision, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_cat3() except without the option of directly reading the properties, and with expand_keywords always TRUE.
svn_error_t * | svn_client_cat (svn_stream_t *out, const char *path_or_url, const svn_opt_revision_t *revision, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_cat2() except that the peg revision is always the same as revision.

## Detailed Description

## Function Documentation

## svn_client_cat()

svn_error_t * svn_client_cat | ( | svn_stream_t * | out,
|  | const char * | path_or_url,
|  | const svn_opt_revision_t * | revision,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Similar to svn_client_cat2() except that the peg revision is always the same as revision.

Deprecated
  Provided for backward compatibility with the 1.1 API.

References revision.

## svn_client_cat2()

svn_error_t * svn_client_cat2 | ( | svn_stream_t * | out,
|  | const char * | path_or_url,
|  | const svn_opt_revision_t * | peg_revision,
|  | const svn_opt_revision_t * | revision,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Similar to svn_client_cat3() except without the option of directly reading the properties, and with expand_keywords always TRUE.

Since
  New in 1.2.

Deprecated
  Provided for backward compatibility with the 1.8 API.

References revision, and SVN_DEPRECATED.

## svn_client_cat3()

svn_error_t * svn_client_cat3 | ( | apr_hash_t ** | props,
|  | svn_stream_t * | out,
|  | const char * | path_or_url,
|  | const svn_opt_revision_t * | peg_revision,
|  | const svn_opt_revision_t * | revision,
|  | svn_boolean_t | expand_keywords,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool )

Output the content of a file.

Parameters

  [out] | props | Optional output argument to obtain properties.
  [in] | out | The stream to which the content will be written.
  [in] | path_or_url | The path or URL of the file.
  [in] | peg_revision | The peg revision.
  [in] | revision | The operative revision.
  [in] | expand_keywords | When true, keywords (when set) are expanded.
  [in] | ctx | The standard client context, used for possible authentication.

Returns
  A pointer to an svn_error_t of the type (this list is not exhaustive):
  An unspecified error if revision is of kind svn_opt_revision_previous (or some other kind that requires a local path), because the desired revision cannot be determined.
  If no error occurred, return SVN_NO_ERROR.

If *props is not NULL it is set to a hash of all the file's non-inherited properties. If it is NULL, the properties are only used for determining how and if the file should be translated.

See also
  svn_client_ctx_t
  Revisions and Peg Revisions for a discussion of operative and peg revisions.

Since
  New in 1.9.

References revision, and SVN_DEPRECATED.